Subject: bug#27761: Crash while using proof-general/company-coq on OS X

From: John Wiegley <[email-masked]>
Date: Wed, 19 Jul 2017 14:34:15 -0400

>>>>> Eli Zaretskii <[email-masked]> writes:

>> This may be hard, but we'll try. It's 100% reproducible in both 25.1 and
>> 25.2, but involves company-coq, Proof General, and some particular source
>> files.

> Aren't those available for reproducing on another machine?

Sure, if you're willing to install them, we can send the source files and the
exact steps.

>> If I gave you a Docker image within which we can reproduce the problem,
>> could you run that?

> I'd prefer not to.

> Alternatively, I could guide you through debugging the recursion, but I'll
> need you to use GDB, not the macOS debugger.

Sadly, only lldb is possible here. :(

-- 
John Wiegley                  GPG fingerprint = 4710 CF98 AF9B 327B B80F
http://newartisans.com                          60E1 46C4 BD1A 7AC1 4BA2